apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: istiod
  namespace: istio-system
spec:
  interval: 5m
  timeout: 10m
  dependsOn:
    - name: istio-base
      namespace: istio-system
  values:
    traceSampling: 100
    meshConfig:
      enableTracing: true
      defaultConfig:
        tracing:
          sampling: 100
          custom_tags:
            client_ip:
              header:
                name: x-forwarded-for
            user.id:
              header:
                name: x-user-id
          zipkin:
            address: otel-collector.opentelemetry-collector.svc.cluster.local:9411
